<form name="form" ng-submit="modalVm.save(form)" novalidate>
  <div class="modal-body">
    <div ng-click="modalVm.close()" class="modal-close cross"></div>
    <div class="form-group form-group-sm" ng-class="{'has-error': form.email.$invalid && form.$submitted}">
      <label for="email">Correo: </label>
      <input class="form-control" type="email" id="email" name="email" placeholder="Correo" ng-model="modalVm.client.email" required>
    </div>
    <div class="form-group form-group-sm" ng-class="{'has-error': form.password.$invalid && form.$submitted}">
      <label for="password">Contraseña: </label>
      <input class="form-control" type="password" id="password" name="password" placeholder="Contraseña" ng-model="modalVm.client.password" required>
    </div>
    <div ng-if="modalVm.signUp" class="form-group form-group-sm" ng-class="{'has-error': form.password_confirmation.$invalid && form.$submitted}">
      <label for="password_confirmation">Confirmación de contraseña: </label>
      <input class="form-control" type="password" id="password_confirmation" name="password_confirmation" placeholder="Confirmación de contraseña" ng-model="modalVm.client.password_confirmation" required>
    </div>
    <div ng-if="modalVm.signUp" class="form-group form-group-sm" ng-class="{'has-error': form.name.$invalid && form.$submitted}">
      <label for="name">Nombre: </label>
      <input class="form-control" type="text" id="name" name="name" placeholder="Nombre" ng-model="modalVm.client.name" required>
    </div>
    <a ng-if="!modalVm.signUp" ng-click="modalVm.signUp = true">Sign up</a>
    <a ng-if="modalVm.signUp" ng-click="modalVm.signUp = false">Sign in</a>
  </div>
  <div class="modal-footer">
    <button ng-if="!modalVm.signUp" type="submit" class="btn btn-block btn-lg pull-left btn-primary">Sign In</button>
    <button ng-if="modalVm.signUp" type="submit" class="btn btn-block btn-lg pull-left btn-primary">Sign Up</button>
  </div>
</form>

